package com.ekexiu.console.system.pojo;

import com.ekexiu.console.system.po.Article;
import org.jfw.apt.orm.annotation.entry.CalcColumn;
import org.jfw.apt.orm.annotation.entry.ExtendView;
import org.jfw.apt.orm.core.defaultImpl.StringHandler;

/**
 * Created by TT on 2017/7/27.
 */
@ExtendView(fromSentence = "article a LEFT JOIN professor p on p.id = a.professor_id ", tableAlias = "a")
public class ArticleInfo extends Article{
    private String professorName;

    @CalcColumn(handlerClass = StringHandler.class, column = "p.name")
    public String getProfessorName() {
        return professorName;
    }

    public void setProfessorName(String professorName) {
        this.professorName = professorName;
    }
}
